Subject: Re: What's cooking in git.git (Oct 2025, #02; Mon, 6)

From: Junio C Hamano <[email-masked]>
Date: Wed, 08 Oct 2025 09:41:43 -0700

Elijah Newren <[email-masked]> writes:

>> * rj/doc-technical-fixes (2025-10-02) 3 commits
>>  - doc: commit-graph.adoc: fix up some formatting
>>  - doc: sparse-checkout.adoc: fix asciidoc warnings
>>  - doc: remembering-renames.adoc: fix asciidoc warnings
>>  (this branch uses rj/doc-missing-technical-docs.)
>>
>>  Documenation mark-up fixes.
>>
>>  Comments?
>>  source: <[email-masked]>
>
> Documenation -> Documentation
>
> Ramsay commented that he had a small fixup to send after waiting for
> more feedback (https://lore.kernel.org/git/[email-masked]/),
> so maybe mark as waiting for a re-roll?

I missed this one.  Very much appreciated.

> The series looked fine to me, I just feel bad for causing so much work
> for him.  Are the things in Documentation/technical/ meant to be
> pretty-formatted and distributed anywhere?  I assumed the audience was
> fellow git developers and the original .txt file (that someone else
> renamed to .adoc) was the preferred viewing format.

My assumpstion has been the same as yours.  I was surprised already
when some folks started to subject things in Documentation/howto/ to
AsciiDoc long ago, so I am no longer surprised by this, though ;-)

>> * kh/doc-patch-id-markup-fix (2025-09-29) 1 commit
>>  - doc: patch-id: fix accidental literal blocks
>>
>>  Documenaotin mark-up fix.
>>
>>  Will merge to 'next'?
>>  source: <[email-masked]>
>
> I think Documentation is determined to be misspelled in your release
> notes, in various exciting ways.  :-)

Thanks.  Fixed.

I blame a new keyboard at work.  If somebody measures my typo-rate
and finds it higher than other days on Tuesdays thru Thursdays, then
that is it ;-)

All others points in your list were very helpful.  Thanks.